# eric7.QScintilla.MarkupProviders.HyperlinkMarkupDialog

Module implementing a dialog to enter data to insert a hyperlink.

### Global Attributes

None

### Classes

HyperlinkMarkupDialog | Class implementing a dialog to enter data to insert a hyperlink.

### Functions

None

## HyperlinkMarkupDialog

Class implementing a dialog to enter data to insert a hyperlink.

### Derived from

QDialog, Ui_HyperlinkMarkupDialog

### Class Attributes

None

### Class Methods

None

### Methods

HyperlinkMarkupDialog | Constructor
__updateOkButton | Private method to update the state of the OK button.
getData | Public method to get the entered data.
on_targetEdit_textChanged | Private slot handling a change of the link target.
on_textEdit_textChanged | Private slot handling a change of the link text.

### Static Methods

None

#### HyperlinkMarkupDialog (Constructor)

HyperlinkMarkupDialog(textMayBeEmpty, targetMayBeEmpty, noTitle=False, parent=None)

Constructor

textMayBeEmpty (bool)
  flag indicating, that the link text may be empty
targetMayBeEmpty (bool)
  flag indicating, that the link target may be empty
noTitle (bool)
  flag indicating, that no title is supported
parent (QWidget)
  reference to the parent widget

#### HyperlinkMarkupDialog.__updateOkButton

__updateOkButton()

Private method to update the state of the OK button.

#### HyperlinkMarkupDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing the link text, link target and the optional link title

Return Type:
  tuple of (str, str, str)

#### HyperlinkMarkupDialog.on_targetEdit_textChanged

on_targetEdit_textChanged(txt)

Private slot handling a change of the link target.

txt (str)
  link target

#### HyperlinkMarkupDialog.on_textEdit_textChanged

on_textEdit_textChanged(txt)

Private slot handling a change of the link text.

txt (str)
  link text

Up